%define         major         1
%define         libname       %mklibname %{name} %{major}
%define         develname     %mklibname %{name} -d

%global gdate	20191119

Name:           bcunit
Version:        3.0.2
Release:        %mkrel 1
Summary:        Provide C programmers basic testing functionality
License:        LGPLv2+
Group:          System/Libraries
Url:            https://linphone.org/
Source:		    bcunit-%{gdate}.tar.xz
Patch0:         bcunit-link-ncurses.patch
Patch1:         bcunit-ncurses6.patch
Patch2:         bcunit-sover.patch
Patch101:	    bcunit-CMake-files-location.patch
BuildRequires:  cmake
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig

%description
BCUnit is a unit testing framework for C, derived from CUnit.
(B)CUnit provides various interfaces to the framework, some of which
are platform dependent (e.g. curses on *nix). The framework complies
with the conventional structure of test cases bundled into suites
which are registered with the framework for running.

%package -n %{libname}
Summary:        BCUnit shared library
Group:          System/Libraries

%description  -n %{libname}
BCUnit is a unit testing framework for C.
This package installs the BCUnit shared library.

%package -n %{develname}
Summary:        BCUnit development files
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
BCUnit is a unit testing framework for C.
This package installs the BCUnit development files.


%prep
%setup -qn %{name}-%{gdate}
%apply_patches

%build
%cmake \
  -DENABLE_STATIC:BOOL=OFF    \
  -DENABLE_AUTOMATED:BOOL=ON  \
  -DENABLE_BASIC:BOOL=ON      \
  -DENABLE_CONSOLE:BOOL=ON    \
  -DENABLE_CURSES:BOOL=ON     \
  -DENABLE_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libbcunit.so.%{major}*

%files -n %{develname}
%{_includedir}/BCUnit/
%{_datadir}/BCUnit/
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
%{_libdir}/cmake/BCunit/


%changelog
* Tue Sep 08 2020 tex - 3.0.2-1pclos2020
- create pkg
